Error en Canaima GNU/Linux 3 VC4 en canaima-plymouth

Este post es para comentarles de un error que se me presentó cuando instalé los paquetes de actualización luego de instalar la versión 3.0 VC4 de Canaima GNU/Linux, basicamente el problema que me dio fué con el paquete canaima-plymouth y los sintomas son los siguientes:

Por synaptic simplemente te da un error sin mucho detalle, abres una consola y tecleas el comando

apt-get install -f

para solucionar el problema con paquetes rotos y allí nos da el siguiente detalle palabras más, palabras menos: canaima-plymouth: El paquete está en un estado muy malo e inconsistente – debe reinstalarlo  antes de intentar desinstalarlo.

Este es un problema de canaima-plymouth porque esta configurado para trabajar con GRUB y no con BURG que se incorpora en esta versión de Canaima GNU/Linux, para solucionarlo vamos a nuestra amiga la consola y editamos como root el siguiente archivo:

vim  /var/lib/dpkg/info/canaima-plymouth.postrm

Nos vamos a la línea 47 y cambiamos update-grub por update-burg, salvamos, salimos del editor y ejecutamos nuevamente apt-get install -f con lo queveremos solucionado nuestro problema.

Espero les sirva a solucionar a los usuarios de esta Versión Candidata y a los desarrolladores de Canaima GNU/Linux y a los desarroladores para solucionar este error en futúras actualizaciones. Espero sus comentarios para saber si les sirvió

About these ads

10 Responses to Error en Canaima GNU/Linux 3 VC4 en canaima-plymouth

  1. Carlos Pinto dice:

    Perfecto, el problema se solucionó sin problemas.
    Gracias.

    • jefferson dice:

      Hola tengo un problema con mi gestor de paquetes Synaptic estaba actualizando paquetes cuando casi termino me da un erro y lo dejo asi la verdad cierro la ventana y no le paro ala situacion despues volvi ha abrir el gestor y me dice que hay un paquete roto ya e intentado muchas formas de arreglarlo la verdad soy Principiante en Canaiman espero que me puedas ayudar..

  2. Toniro dice:

    Unos años atrás usé canaima 2.0.4,y me gustó mucho,pero cuando actualizé a la 2.1 la pc se me llenó de errores(lo que me recordó a windows) y lo desinstalé.Como ya le había agarrado el gusto a linux,instalé debian sin problemas, pero siempre pensando en volver a Canaima gnu linux.Cuando sea liberada la versión final y vea lo que dicen sus usuarios,si y solo si,probaré canaima otra vez

  3. XiRiX dice:

    Toniro, te comento que la VC4 esta muy buena desde mi punto de vista, te invito que la instales en una maquina virtual para que no quites Debian, pruebala y verás que está muy buena para ser beta.

    Gracias por el comentario

  4. XiRiX dice:

    Amigo Carlos, me alegra haber podido ayudar!!

  5. wilman dice:

    bien por tu comentario fuiste al grano lo hice tal y cual como lo digiste y se soluciono el problema…oye sera mucho pedirte como hago para instalar el sonido de mi lapto tx 2532la hp pavilion en canaima 3.0 todo funciona bien pero no he ṕodido solucionar esto… soy nuevo en linux pero me llama la tension

    • XiRiX dice:

      Ok gracias por tu comentario, no te reconocio el sonido por si solo? Abre una consola y como root tecleas el comando lspci y pegas el resultado aca para orientarte un poco mejor. Si no sabes como pasarte a root, coloca en la consola “su” sin las comillas y te pedira la clave de root.

  6. wilman dice:

    Oye despues que hice eso me sale un errorr al final de linea puede ver el codigo

    root@canaima-popular:/home/wilman# apt-get install -f
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    Se instalarán los siguientes paquetes extras:
    canaima-plymouth
    Se actualizarán los siguientes paquetes:
    canaima-plymouth
    1 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
    4 no instalados del todo o eliminados.
    Se necesita descargar 0 B/3507 kB de archivos.
    Se utilizarán 0 B de espacio de disco adicional después de esta operación.
    ¿Desea continuar [S/n]? s
    (Leyendo la base de datos … 84958 ficheros o directorios instalados actualmente.)
    Preparando para reemplazar canaima-plymouth 1.0+18 (usando …/canaima-plymouth_1.0+19_all.deb) …
    Desempaquetando el reemplazo de canaima-plymouth …
    01:05.0 VGA compatible controller: ATI Technologies Inc RS780M/RS780MN [Radeon HD 3200 Graphics]
    update-initramfs: deferring update (trigger activated)
    Generating burg.cfg …
    /usr/sbin/burg-probe: error: cannot stat `/boot/burg/locale’.
    No path or device is specified.
    Try `/usr/sbin/burg-probe –help’ for more information.
    dpkg: aviso: el subproceso script de `post-removal’ antiguo devolvió el código de salida de error 1
    dpkg – probando el script del nuevo paquete en su lugar…
    01:05.0 VGA compatible controller: ATI Technologies Inc RS780M/RS780MN [Radeon HD 3200 Graphics]
    update-initramfs: deferring update (trigger activated)
    Generating burg.cfg …
    /usr/sbin/burg-probe: error: cannot stat `/boot/burg/locale’.
    No path or device is specified.
    Try `/usr/sbin/burg-probe –help’ for more information.
    dpkg: error al procesar /var/cache/apt/archives/canaima-plymouth_1.0+19_all.deb (–unpack):
    el subproceso script post-removal nuevo devolvió el código de salida de error 1
    configured to not write apport reports
    01:05.0 VGA compatible controller: ATI Technologies Inc RS780M/RS780MN [Radeon HD 3200 Graphics]
    update-initramfs: deferring update (trigger activated)
    Generating burg.cfg …
    /usr/sbin/burg-probe: error: cannot stat `/boot/burg/locale’.
    No path or device is specified.
    Try `/usr/sbin/burg-probe –help’ for more information.
    dpkg: error al reorganizar:
    el subproceso script post-removal nuevo devolvió el código de salida de error 1
    Procesando disparadores para initramfs-tools …
    update-initramfs: Generating /boot/initrd.img-2.6.32-5-686
    Se encontraron errores al procesar:
    /var/cache/apt/archives/canaima-plymouth_1.0+19_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    • xirix dice:

      Hermano prueba removiendo el paquete y volverlo a instalar con apt-get remove canaima-plymouth o lo puedes hacer desde synaptic.

      Si al entrar a synaptic te dice que existen paquetes rotos, puedes ir al menu en la parte Editar-> Reparar paquetes rotos, aplicas los cambios a ver que te dice

  7. necronav dice:

    Tremendo consejo hermano deria haber un Script que prevenga esto ya que es algo bastante penoso. Es mas no si si es la imagen que baje pero 1 de 5 instalaciones en fisico o en Maquina Virtual me arrojo un error. Lo que le digo es que Canaima ha mejorado mucho pero hay que recordar que es una distribucion orientada mas a cualquier usuario por ende debe tener la facilidad que cualquier distro de ese tipo tendria sin los bugs y elementos privativos claro esta. Mire ese truquillo le ha salvado la distro a mas de uno gracias por el dato, que la pase bien. Xirix espero agradecerle en persona.

Deja un comentario

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

Seguir

Recibe cada nueva publicación en tu buzón de correo electrónico.

%d personas les gusta esto: